import useSWR from "swr";
import type { Document } from "dbtype/api";
import { fetcher } from "./fetcher";

interface SearchParams {
    word?: string;
    tags?: string;
    limit?: number;
    cursor?: number;
}

export function useSearchGallery({
    word, tags, limit, cursor,
}: SearchParams) {
    const search = new URLSearchParams();
    if (word) search.set("word", word);
    if (tags) search.set("allow_tag", tags);
    if (limit) search.set("limit", limit.toString());
    if (cursor) search.set("cursor", cursor.toString());
    return useSWR<
        Document[]
    >(`/api/doc/search?${search.toString()}`, fetcher);
}
